Subject: RE: Broken Bash 2.05? a configure can't find /bin/sh
From: Troy Noble <[email-masked]>
To: "'Christopher Faylor'" <[email-masked]>
Cc: "[email-masked]'" <[email-masked]>
Date: Wed, 25 Apr 2001 10:29:30 -0600

Sorry.

We've just run into a lot of problems with people who are used to
writing KSH or BASH programs testing with /bin/bash and then putting
#!/bin/sh in their file.  Then ash pukes when we run their scripts.
So to make life simpler here we've found it easier just to put
/bin/bash in place of /bin/sh since it is more or less a proper
superset for our purposes.

That's why I qualified my remarks with "this is how we got around it".

I will be more careful in the future not to offer non-standard help
suggestions.

Please accept my sincere apologies.

Troy

-----Original Message-----
From: Christopher Faylor [mailto:[email-masked]]
Sent: Wednesday, April 25, 2001 9:37 AM
To: [email-masked]
Subject: Re: Broken Bash 2.05? a configure can't find /bin/sh

On Wed, Apr 25, 2001 at 08:59:41AM -0600, Troy Noble wrote:
>bash doesn't get installed as /bin/sh, it gets installed as /bin/bash.

I'm not sure why you are making this observation.  The error that
Dennis is reporting is that he couldn't find /bin/sh.  The error
is coming *from* bash but there is no indication that he wants
/bin/bash to be copied to /bin/sh.

The solution is probably to rerun setup.exe and specifically select
'ash'.  If it seems to be installed, uninstall it and then reinstall it.

If that still doesn't solve the problem then 'cygcheck -r -s -v' output
will probably pinpoint the problem.

>The "ash" package (a Bourne shell clone) is the one that actually gets
>installed as /bin/sh.  So if you didn't install ash*.tar.gz, you've
>likely not got a /bin/sh.
>
>What we've done to get around this is install the "bash" package, but
>not the "ash" package, and then we:
>
>cp -p /bin/bash.exe /bin/sh.exe
>
>and that ensures that we are always running bash and that /bin/sh
>is always there.  We've standardized on BASH for our purposes here,
>so this is acceptable practice for our environment.
>
>YMMV.

Indeed.  Please don't do this, or even recommend it unless you really
know what you're doing.  Suggesting that people with problems modify
their installation in a non-standard way is generally not good advice.

cgf

>-----Original Message-----
>From: Dennis Wilson [mailto:[email-masked]]
>Sent: Tuesday, April 24, 2001 8:08 PM
>To: [email-masked]
>Subject: Broken Bash 2.05? a configure can't find /bin/sh
>
>
>I ungraded my cygwin on my Win2k system. It now can't find sh.
>I did not do anything but run the setup and accept the packages that needed
>to be upgraded.
>
>I was working on building tcl and when I went back into the directory to
run
>the configure script I got the following message.
>
>$ ./configure --enable-gcc
>bin/bash .configure: bad interpreter: no such file or directory.
>
>What appears to be going on is that the pathing has changed and /bin/sh is
>no longer valid.
>Any ideas??
>
>
>--
>Want to unsubscribe from this list?
>Check out: http://cygwin.com/ml/#unsubscribe-simple
>
>--
>Want to unsubscribe from this list?
>Check out: http://cygwin.com/ml/#unsubscribe-simple

-- 
[email-masked]                        Red Hat, Inc.
http://sources.redhat.com/            http://www.redhat.com/

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple